> ## Documentation Index
> Fetch the complete documentation index at: https://docs.galileo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Or Verify User Social

> Create a user using a social login provider.

All social users are created with `email_is_verified=True`, don't need to be invited and are by default read-only
(unless they are the first user, in which case they are set to admin).



## OpenAPI

````yaml https://api.galileo.ai/public/v2/openapi.json post /v2/system_users/social
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://api.galileo.ai
    description: Galileo Public APIs - galileo-v2
security: []
paths:
  /v2/system_users/social:
    post:
      tags:
        - system_users
        - users
      summary: Create Or Verify User Social
      description: >-
        Create a user using a social login provider.


        All social users are created with `email_is_verified=True`, don't need
        to be invited and are by default read-only

        (unless they are the first user, in which case they are set to admin).
      operationId: create_or_verify_user_social_v2_system_users_social_post
      parameters:
        - name: signup_token
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Signup Token
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SocialLoginRequest'
              examples:
                - id_token: token1234
                  provider: google
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SystemUserDB'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    SocialLoginRequest:
      properties:
        id_token:
          anyOf:
            - type: string
            - type: 'null'
          title: Id Token
        access_token:
          anyOf:
            - type: string
            - type: 'null'
          title: Access Token
        provider:
          $ref: '#/components/schemas/SocialProvider'
      type: object
      required:
        - provider
      title: SocialLoginRequest
    SystemUserDB:
      properties:
        id:
          type: string
          format: uuid4
          title: Id
        created_at:
          type: string
          format: date-time
          title: Created At
        updated_at:
          type: string
          format: date-time
          title: Updated At
        email:
          type: string
          title: Email
        first_name:
          anyOf:
            - type: string
            - type: 'null'
          title: First Name
        last_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Last Name
        email_is_verified:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Email Is Verified
        status:
          $ref: '#/components/schemas/SystemUserStatus'
        role:
          $ref: '#/components/schemas/SystemRole'
        auth_method:
          type: string
          title: Auth Method
      type: object
      required:
        - id
        - created_at
        - updated_at
        - email
        - status
        - role
        - auth_method
      title: SystemUserDB
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    SocialProvider:
      type: string
      enum:
        - google
        - github
        - okta
        - azure-ad
        - custom
        - saml
      title: SocialProvider
    SystemUserStatus:
      type: string
      enum:
        - requested
        - invited
        - enabled
        - disabled
      title: SystemUserStatus
    SystemRole:
      type: string
      enum:
        - system_admin
        - system_user
      title: SystemRole
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````